#ifndef _argparse_h_
#define _argparse_h_

#include <argp.h>
#include <vector>
#include <string>

extern "C" struct argp parser;

struct arguments
{
	arguments()
	{
		verbose = silent = 0;
		out_fname = network_fname = pattern_fname = 0;
		target = "";
	};

	int verbose, silent;
	char* out_fname, *network_fname, *pattern_fname, *target;
	std::vector<std::string> l1_tags, ln_tags; std::vector<int> nn_dims;
};

#endif
