#!/usr/bin/perl

#create a 2,2,1 network.
# input nodes named A & B, output node named RESULT
print `nunu -f A,B -l RESULT -m 2 > or.net`;

#uncomment the next line to see the network description...
# don't uncomment if you are using gnuplot (see below)
#print `cat or.net`;

use POSIX;

$iterations=4000;

# see and.pl for explanation of the below....
foreach my $i (1...$iterations)
  {
    my $dothis = floor((rand()/1)*4); 
   if ($dothis==0)
     {    print $i, `echo \'A 1\nB 0\n\' | nunu -n or.net -t RESULT`; }
    elsif ($dothis==1)
      {    print $i,`echo \'A 0\nB 0\n\' | nunu -n or.net`; }
    elsif ($dothis==2)
      {   print $i,`echo \'A 0\nB 1\n\' | nunu -n or.net -t RESULT`; }
    else
      {  print $i, `echo \'A 1\nB 1\n\' | nunu -n or.net -t RESULT`; }
  }

# uncomment then next line if you have gnuplot installed.
# if you say "or.pl > or.dat &&  chmod a+x plot-or && plot-or"
# you'll get a nice graph showing nunu's learning rate! 
#`echo \"plot [1:$iterations] \'or.dat\'\npause 30" > plot-or`;

